

const text = document.querySelector(".text");
text.innerHTML = text.innerText
    .split("")
    .map(
        (char, i) => `<span style="transform:rotate(${i * 10.3}deg)">${char}</span>`
    )
    .join("");

document.addEventListener("DOMContentLoaded", function () {
    const balls = document.querySelectorAll(
        ".boul1, .boul2, .boul3, .boul4, .boul5, .boul6, .boul7, .boul8"
    );

    document.addEventListener("mousemove", function (e) {
        const mouseX = e.clientX;
        const mouseY = e.clientY;

        balls.forEach((ball) => {
            const ballX = ball.getBoundingClientRect().left + ball.offsetWidth / 2;
            const ballY = ball.getBoundingClientRect().top + ball.offsetHeight / 2;

            const offsetX = (mouseX - ballX) * 0.01;
            const offsetY = (mouseY - ballY) * 0.01;

            ball.style.transform = `translate(${offsetX}px, ${offsetY}px)`;
        });
    });
});

let articles = document.querySelectorAll(".article-left");

console.log(articles);
for (const article of articles) {
    let color = article.getAttribute("data-color");

    switch (color) {
        case "bleu":
            article.style.backgroundColor = "#057aff";
            console.log("bleu");
            break;
        case "rouge":
            article.style.backgroundColor = "#ff0000";
            break;
        case "vert":
            article.style.backgroundColor = "#4CAF50";
            break;
        case "jaune":
            article.style.backgroundColor = "#FFA500";
            break;
        case "rose":
            article.style.backgroundColor = "#FFC0CB";
            break;
        case "violet":
            article.style.backgroundColor = "#800080";
            break;
        case "noir":
            article.style.backgroundColor = "#000000";
            break;
        case "blanc":
            article.style.backgroundColor = "#ffffff";
            break;

        default:
            break;
    }
}

