<?php

namespace App\Form;

use App\Entity\Produits;
use App\Entity\Marque;
use App\Entity\Couleur;
use App\Entity\Sexe;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Validator\Constraints\File;

class ProduitsType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('nom')
            ->add('prix')
            ->add('description')
            ->add('marque', EntityType::class, [  // version 1 : SELECT
                'class' => Marque::class,
                'choice_label' => 'nom'
            ])
            ->add('couleur', EntityType::class, [  // version 1 : SELECT
                'class' => Couleur::class,
                'choice_label' => 'nom'
            ])
            ->add('sexe', EntityType::class, [
                'class' => Sexe::class,
                'expanded' => true,
                'choice_label' => 'nom',
                'multiple' => 'true'
            ])
            ->add('fichier_image', FileType::class, [
                'label' => 'Photo de la chaussure',
                'mapped' => false,
                'required' => false,
                'constraints' => [
                    new File([
                        'maxSize' => '300k',
                        'mimeTypes' => ['image/jpeg', 'image/png'],
                        'mimeTypesMessage' => 'Sélectionnez un fichier JPEG ou PNG de poids inférieur à 200Ko',
                    ])
                ]
            ])
            ->add('stock')


        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Produits::class,
        ]);
    }
}
